%define _requires_exceptions libdbusmenu-qt5.so.2()(64bit)

Name: lxqt-panel
Version: 1.4.0
Release: %mkrel 2
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: panel.conf
Source2: lxqt-applications.menu
Source3: lx-applications.menu
Summary: Panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#---------------------------------------------
BuildRequires:  cmake
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}menu-cache-devel
BuildRequires: %{_lib}lm_sensors5-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}sysstat-devel
BuildRequires: %{_lib}statgrab-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}lxqt-globalkeys-devel >= %version
BuildRequires: %{_lib}lxqt-devel >= %version
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}icu-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xcb-util-devel
BuildRequires: %{_lib}kf5solid-devel
BuildRequires: %{_lib}dbusmenuqt5-devel
BuildRequires: %{_lib}kf5guiaddons-devel
BuildRequires: %{_lib}xdamage-devel
BuildRequires:	libpthread-stubs
BuildRequires: %{_lib}xtst-devel
#Requires: lxqt-menu-data
Requires: %{_lib}dbusmenuqt52
Obsoletes:	lib64lxqt-mount0
Obsoletes:	lxqt-l10n

%description
Panel for the LXQt desktop

%package -n %name-qeyes
Summary: 	A Qeye plugin for the LXQt-Panel 
Group: 		Graphical desktop/LXQT
Requires:	%name >= %version

%description -n  %name-qeyes
Qeye plugin for the LXQt-Panel.
An eye on the panel that follows your cursor.


%prep
%setup -q %{name}-%{version}

export CXXFLAGS="%{optflags} -I/usr/include/dbusmenu-qt5"
%cmake_qt5 

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

mkdir -p %{buildroot}/%{_sysconfdir}/xdg/lxqt
install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xdg/lxqt/panel.conf
#install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/lxqt/panel.conf
mkdir -p %{buildroot}/%{_sysconfdir}/xdg/menus
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/xdg/menus/lxqt-applications.menu
install -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/xdg/menus/lx-applications.menu
#not needed
rm -rf %buildroot/%{_includedir}/lxqt

%post
%{update_menus}
%{update_desktop_database}


%files
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_sysconfdir}/xdg/menus/lx*-applications.menu
%{_sysconfdir}/xdg/lxqt/panel.conf
%{_bindir}/%{name}
%{_datadir}/lxqt/%{name}/backlight.desktop
%{_datadir}/lxqt/%{name}/colorpicker.desktop
%{_datadir}/lxqt/%{name}/cpuload.desktop
%{_datadir}/lxqt/%{name}/customcommand.desktop
%{_datadir}/lxqt/%{name}/desktopswitch.desktop
#dom
%{_datadir}/lxqt/%{name}/dom.desktop
%{_datadir}/lxqt/%{name}/directorymenu.desktop
%{_datadir}/lxqt/%{name}/kbindicator.desktop
%{_datadir}/lxqt/%{name}/mainmenu.desktop
%{_datadir}/lxqt/%{name}/mount.desktop
%{_datadir}/lxqt/%{name}/networkmonitor.desktop
%{_datadir}/lxqt/%{name}/quicklaunch.desktop
%{_datadir}/lxqt/%{name}/sensors.desktop
%{_datadir}/lxqt/%{name}/showdesktop.desktop
%{_datadir}/lxqt/%{name}/spacer.desktop
%{_datadir}/lxqt/%{name}/statusnotifier.desktop
%{_datadir}/lxqt/%{name}/sysstat.desktop
%{_datadir}/lxqt/%{name}/taskbar.desktop
%{_datadir}/lxqt/%{name}/tray.desktop
%{_datadir}/lxqt/%{name}/volume.desktop
%{_datadir}/lxqt/%{name}/worldclock.desktop
%{_datadir}/lxqt/panel.conf
%{_libdir}/%{name}/libbacklight.so
%{_libdir}/%{name}/libcolorpicker.so
%{_libdir}/%{name}/libcpuload.so
%{_libdir}/%{name}/libcustomcommand.so
%{_libdir}/%{name}/libdirectorymenu.so
#dom
%{_libdir}/%{name}/libdom.so
%{_libdir}/%{name}/libkbindicator.so
%{_libdir}/%{name}/libmount.so
%{_libdir}/%{name}/libnetworkmonitor.so
%{_libdir}/%{name}/libsensors.so
%{_libdir}/%{name}/libsysstat.so
%{_libdir}/%{name}/libvolume.so
%{_mandir}/man1/lxqt-panel.1.bz2
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/%{name}/cpuload/cpuload_*.qm
%{_datadir}/lxqt/translations/%{name}/desktopswitch/desktopswitch_*.qm
%{_datadir}/lxqt/translations/%{name}/directorymenu/directorymenu_*.qm
#dom
%{_datadir}/lxqt/translations/%{name}/dom/dom_*.qm
%{_datadir}/lxqt/translations/%{name}/kbindicator/kbindicator_*.qm
%{_datadir}/lxqt/translations/%{name}/mainmenu/mainmenu_*.qm
%{_datadir}/lxqt/translations/%{name}/mount/mount_*.qm
%{_datadir}/lxqt/translations/%{name}/networkmonitor/networkmonitor_*.qm
%{_datadir}/lxqt/translations/%{name}/quicklaunch/quicklaunch_*.qm
%{_datadir}/lxqt/translations/%{name}/sensors/sensors_*.qm
%{_datadir}/lxqt/translations/%{name}/showdesktop/showdesktop_*.qm
%{_datadir}/lxqt/translations/%{name}/spacer/spacer_*.qm
%{_datadir}/lxqt/translations/%{name}/statusnotifier/statusnotifier_*.qm
%{_datadir}/lxqt/translations/%{name}/sysstat/sysstat_*.qm
%{_datadir}/lxqt/translations/%{name}/taskbar/taskbar_*.qm
%{_datadir}/lxqt/translations/%{name}/colorpicker/colorpicker_*.qm
%{_datadir}/lxqt/translations/%{name}/volume/volume_*.qm
%{_datadir}/lxqt/translations/%{name}/worldclock/worldclock_*.qm
%{_datadir}/lxqt/translations/%{name}/customcommand/customcommand_*.qm

%files -n %name-qeyes
%{_libdir}/%{name}/libqeyes.so
%{_datadir}/lxqt/%{name}/qeyes.desktop
%{_datadir}/lxqt/panel/qeyes-types/*
%{_datadir}/lxqt/translations/%{name}/qeyes/qeyes_*.qm



%changelog
* Thu Nov 16 2023 daniel - 1.4.0-2pclos2023
- add own lx-applications.menu

* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version
- + dom plugin enabled by default

* Wed Feb 15 2023 tex - 1.2.1-3pclos2023
- rebuild against updates

* Thu Jan 05 2023 daniel - 1.2.1-2pclos2023
- split qeyes in a own plugin package

* Tue Jan 03 2023 daniel - 1.2.1-1pclos2023
- 1.2.1

* Sun Nov 06 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Fri Apr 16 2021 daniel <> 0.17.1-1pclos2021
- 0.17.1

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Dec 10 2020 daniel <meisssw01 at gmail.com> 0.16.1-3pclos2020
- fix applications.menu by adding lxde-applications.menu

* Sun Nov 22 2020 tex - 0.16.1-2pclos2020
- rebuild against updates

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.1-1pclos2020
- 0.16.1

* Sat Sep 12 2020 tex - 0.15.1-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.1-2pclos2020
- rebuild against updates

* Wed May 20 2020 daniel <meisssw01 at gmail.com> 0.15.1-1pclos2020
- 0.15.1

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Thu Dec 05 2019 tex - 0.14.1-3pclos2019
- rebuild against updates

* Sun Mar 03 2019 daniel <meisssw01 at gmail.com> 0.14.1-2pclos2019
- fix menu

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Fri Aug 03 2018 daniel <meisssw01 at gmail.com> 0.13.0-3pclos2018
- rebuild

* Mon Jul 30 2018 daniel <meisssw01 at gmail.com> 0.13.0-2pclos2018
- edit aplications menu

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Sun Oct 29 2017 daniel <meisssw01 at gmail.com> 0.12.0-2pclos2017
- add screensaver button to menu

* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Sat Jul 01 2017 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2017
- rebuild with latest qt5 libaries 

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-4pclos2016
- rebuild for 32bit

* Sat Dec 12 2015 bb ,bb> 0.10.0-3pclos2015
- adjust build option /usr/include/dbusmenu-qt5

* Wed Nov 11 2015 bb <bb> 0.10.0-2pclos2015
- fix volume on default panel

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
